## featherpad 1.3.1

=== featherpad/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.2.0")
set(HUNSPELL_MINIMUM_VERSION "1.6")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

if(NOT ENABLE_QT5)
  set(QT_VERSION_MAJOR 6)
  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6PrintSupport "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6DBus "${QT6_MINIMUM_VERSION}" REQUIRED)
else()
  set(QT_VERSION_MAJOR 5)
  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5PrintSupport "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5DBus "${QT5_MINIMUM_VERSION}" REQUIRED)
endif()

# for spell checking (see FindHUNSPELL.cmake)
find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)

# optional localization
find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)

# OS/2 needs an additional lib and tune the processor
if(OS2)
  #add_definitions(-mtune=${CMAKE_SYSTEM_PROCESSOR} -march=${CMAKE_SYSTEM_PROCESSOR})
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
endif()

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  if(QT_VERSION_MAJOR EQUAL 5)
    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
  endif()
  find_package(X11 REQUIRED)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# for the old code; not needed anymore
#find_package(MAGIC_INCLUDE_DIR magic.h)
#find_library(MAGIC_LIBRARY magic $ENV{MAGIC_LIB_PATH})

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  if(QT_VERSION_MAJOR EQUAL 6)
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                        ${Qt6Core_INCLUDE_DIRS}
                        ${Qt6Gui_INCLUDE_DIRS}
                        ${Qt6Widgets_INCLUDE_DIRS}
                        ${Qt6Svg_INCLUDE_DIRS}
                        ${Qt6PrintSupport_INCLUDE_DIRS}
                        ${Qt6DBus_INCLUDE_DIRS}
                        ${X11_INCLUDE_DIR}
                        ${HUNSPELL_INCLUDE_DIRS})
  else()
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                        ${Qt5Core_INCLUDE_DIRS}
                        ${Qt5Gui_INCLUDE_DIRS}
                        ${Qt5Widgets_INCLUDE_DIRS}
                        ${Qt5Svg_INCLUDE_DIRS}
                        ${Qt5X11Extras_INCLUDE_DIRS}
                        ${Qt5PrintSupport_INCLUDE_DIRS}
                        ${Qt5DBus_INCLUDE_DIRS}
                        ${X11_INCLUDE_DIR}
                        ${HUNSPELL_INCLUDE_DIRS})
  endif()
  add_definitions(-DHAS_X11)
else()
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt${QT_VERSION_MAJOR}Core_INCLUDE_DIRS}
                      ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS}
                      ${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS}
                      ${Qt${QT_VERSION_MAJOR}Svg_INCLUDE_DIRS}
                      ${Qt${QT_VERSION_MAJOR}PrintSupport_INCLUDE_DIRS}
                      ${Qt${QT_VERSION_MAJOR}DBus_INCLUDE_DIRS}
                      ${HUNSPELL_INCLUDE_DIRS})
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(UNIX OR OS2)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(featherpad_SRCS
    main.cpp
    singleton.cpp
    fpwin.cpp
    encoding.cpp
    tabwidget.cpp
    lineedit.cpp
    textedit.cpp
    tabbar.cpp
    find.cpp
    replace.cpp
    pref.cpp
    config.cpp
    brackets.cpp
    syntax.cpp
    vscrollbar.cpp
    loading.cpp
    printing.cpp
    tabpage.cpp
    searchbar.cpp
    session.cpp
    fontDialog.cpp
    sidepane.cpp
    svgicons.cpp
    spellChecker.cpp
    spellDialog.cpp
    highlighter/highlighter.cpp
    highlighter/highlighter-cmake.cpp
    highlighter/highlighter-css.cpp
    highlighter/highlighter-fountain.cpp
    highlighter/highlighter-java.cpp
    highlighter/highlighter-json.cpp
    highlighter/highlighter-html.cpp
    highlighter/highlighter-lua.cpp
    highlighter/highlighter-markdown.cpp
    highlighter/highlighter-pascal.cpp
    highlighter/highlighter-patterns.cpp
    highlighter/highlighter-perl-regex.cpp
    highlighter/highlighter-regex.cpp
    highlighter/highlighter-rest.cpp
    highlighter/highlighter-ruby.cpp
    highlighter/highlighter-rust.cpp
    highlighter/highlighter-sh.cpp
    highlighter/highlighter-tcl.cpp
    highlighter/highlighter-xml.cpp
    highlighter/highlighter-yaml.cpp)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  qt6_add_dbus_adaptor(featherpad_DBUS_SRCS
      org.featherpad.Application.xml
      singleton.h
      FeatherPad::FPsingleton
      featherpadadaptor
      FeatherPadAdaptor
  )
else()
  qt5_add_dbus_adaptor(featherpad_DBUS_SRCS
      org.featherpad.Application.xml
      singleton.h
      FeatherPad::FPsingleton
      featherpadadaptor
      FeatherPadAdaptor
  )
endif()

set(featherpad_RESOURCES data/fp.qrc)
set(DESKTOP_FILE data/featherpad.desktop)
set(METAINFO_FILE data/featherpad.metainfo.xml)
if(NOT OS2)
  set(ICON_FILE data/featherpad.svg)
else()
  enable_language(RC)
  set_source_files_properties(data/featherpad_os2.rc PROPERTIES LANGUAGE RC)
  set(featherpad_SRCS ${featherpad_SRCS} data/featherpad_os2.rc)
endif()
set(HELP_FILE data/help)
file(GLOB HELP_TR_FILES data/help_*)

if(QT_VERSION_MAJOR EQUAL 6)
  set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
else()
  if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
    qt5_wrap_cpp(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
  else()
    set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
  endif()
endif()

# translations
if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/featherpad_*.ts)
  if(QT_VERSION_MAJOR EQUAL 6)
    qt6_add_translation(QM_FILES ${TS_FILES})
  else()
    qt5_add_translation(QM_FILES ${TS_FILES})
  endif()
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_DBUS_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
  elseif(APPLE)
    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
  elseif(UNIX OR OS2)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
  endif()
else(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_DBUS_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  if(QT_VERSION_MAJOR EQUAL 6)
    target_link_libraries(featherpad ${Qt6Core_LIBRARIES}
                                     ${Qt6Gui_LIBRARIES}
                                     ${Qt6Widgets_LIBRARIES}
                                     ${Qt6Svg_LIBRARIES}
                                     ${Qt6PrintSupport_LIBRARIES}
                                     ${Qt6DBus_LIBRARIES}
                                     ${X11_LIBRARIES}
                                     ${HUNSPELL_LIBRARIES})
  else()
    target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
                                     ${Qt5Gui_LIBRARIES}
                                     ${Qt5Widgets_LIBRARIES}
                                     ${Qt5Svg_LIBRARIES}
                                     ${Qt5X11Extras_LIBRARIES}
                                     ${Qt5PrintSupport_LIBRARIES}
                                     ${Qt5DBus_LIBRARIES}
                                     ${X11_LIBRARIES}
                                     ${HUNSPELL_LIBRARIES})
  endif()
else()
  target_link_libraries(featherpad ${Qt${QT_VERSION_MAJOR}Core_LIBRARIES}
                                   ${Qt${QT_VERSION_MAJOR}Gui_LIBRARIES}
                                   ${Qt${QT_VERSION_MAJOR}Widgets_LIBRARIES}
                                   ${Qt${QT_VERSION_MAJOR}Svg_LIBRARIES}
                                   ${Qt${QT_VERSION_MAJOR}PrintSupport_LIBRARIES}
                                   ${Qt${QT_VERSION_MAJOR}DBus_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
endif()

# installation
if(HAIKU)
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
elseif(APPLE)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_FILE})
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_TR_FILES})
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/help)
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_TR_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/helps)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES MACOSX_BUNDLE TRUE)
  INSTALL(TARGETS featherpad DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(UNIX)
  # make symlink
  add_custom_target(fpad_symlink ALL ${CMAKE_COMMAND} -E create_symlink featherpad fpad DEPENDS featherpad COMMENT "Creating fpad as a symlink to featherpad")

  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # install symlink
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
elseif(OS2)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES
  	OS2_DEF_EXEType "WINDOWAPI"
  )
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
endif()

=== debian/changelog ===
featherpad (1.3.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Used Qt D-Bus for creating a single-instance app (because the lock-file
      method failed under harsh circumstances).
    - Removed the qmake compilation (have no time for it, especially with
    - Added a workaround for a Qt5 bug that caused a crash if SIGTERM was sent
      while the replacement dock was visible.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Aug 2022 13:15:13 -0700

featherpad (1.3.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Added an option for using system icons where possible. By default,
      internal icons are used.
    - Set the scroll mode to per-pixel in the side-pane as a workaround for a
      bug in QListWidget's auto-scrolling.
    - With Qt6, accept the close event on receiving SIGTERM and similar signals
      (because, in Qt6, "qApp->quit()" calls "closeEvent()").
    - Make sure all windows are deleted when receiving SIGTERM and similar
      signals.
    - Made Qt6 font setting backward-compatible.
    - Fixed the problems in restoring of window size and position.
    - Added a workaround for a QPlainTextEdit bug that doesn't report a
      selection change on undoing/redoing.
    - Fixed the selection highlighting with huge selections.
    - Fixed a problem in highlighting of Yaml literal blocks.
    - Center page numbers horizontally when printing.
    - Highlight cmake's bracket comments and bracket arguments.

  * Switch to cmake build system.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jun 2022 12:44:08 -0700

=== debian/control ===
Source: featherpad
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libqt5svg5-dev (>= 5.15.0),
               libqt5x11extras5-dev (>= 5.15.0),
               libx11-dev,
               libxext-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.0),
               qttools5-dev (>= 5.15.0),
               qttools5-dev-tools (>= 5.15.0)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: Language package for featherpad
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the l10n files needed by the featherpad.

## featherpad 1.3.2

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -6,27 +6,17 @@
 
 if(NOT ENABLE_QT5)
   set(QT_VERSION_MAJOR 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6PrintSupport "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6DBus "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg PrintSupport DBus)
 else()
   set(QT_VERSION_MAJOR 5)
-  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5PrintSupport "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5DBus "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg PrintSupport DBus)
 endif()
 
 # for spell checking (see FindHUNSPELL.cmake)
 find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
 
 # optional localization
-find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)
+find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
 # OS/2 needs an additional lib and tune the processor
 if(OS2)
@@ -37,7 +27,7 @@
 # X11 for Linux/Unix
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
   if(QT_VERSION_MAJOR EQUAL 5)
-    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
+    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS X11Extras)
   endif()
   find_package(X11 REQUIRED)
 endif()
@@ -95,6 +85,7 @@
 set(featherpad_SRCS
     main.cpp
     singleton.cpp
+    signalDaemon.cpp
     fpwin.cpp
     encoding.cpp
     tabwidget.cpp
@@ -136,6 +127,7 @@
     highlighter/highlighter-rust.cpp
     highlighter/highlighter-sh.cpp
     highlighter/highlighter-tcl.cpp
+    highlighter/highlighter-toml.cpp
     highlighter/highlighter-xml.cpp
     highlighter/highlighter-yaml.cpp)

=== debian/changelog ===
featherpad (1.3.2-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Added a real Unix signal handler. It was needed to work around a Qt6 bug
      under Wayland, which reported close signals of Wayland WMs as
      non-spontaneous (there was no prompt on closing windows by Wayland WMs).
    - Removed instant tab tooltips when tab DND is disabled (because some
      Wayland compositors have problem with instant tooltips of inactive
      windows).
    - Consider the script sign in Lua.
    - Fixed the enabled state of the "Other" action in the "Encoding" menu.
    - Removed the detection of legacy encodings and simplified the "Encoding"
      menu with Qt6.
    - Added Toml syntax highlighting.
    - Reduced the maximum block size of HTML for syntax highlighting to 5000.
    - Simplified finding of Qt modules with cmake.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Sep 2022 16:35:40 -0700

## featherpad 1.3.3

=== debian/changelog ===
featherpad (1.3.3-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Crash on pasting empty clipboard is fixed. The fix can be seen as a
      workaround because the root cause is in Qt.
    - Silenced the compilation warnings with Qt 6.4.
    - Covered indented here-docs in Bash and Perl syntax highlighting.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Oct 2022 15:19:53 -0700

## featherpad 1.3.4

=== debian/changelog ===
featherpad (1.3.4-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Enable/disable the Paste action of the Edit menu appropriately.
    - Covered single quote as digit separator in C++(≥14) syntax highlighting.
    - Initialize variables of "TextEdit" and "TabBar" before events are
      triggered.
    - Enabled instant tooltips and corrected context menus on Wayland, by
      specifying their parent widgets.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Dec 2022 17:14:41 -0800

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=cmake

override_dh_missing:
	dh_missing --fail-missing

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## featherpad 1.3.5

=== CMakeLists.txt ===
project(featherpad)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(HAIKU)
    set(CMAKE_INSTALL_PREFIX "/boot/home/config/non-packaged/apps/FeatherPad")
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications")
  elseif(UNIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
  elseif(OS2)
    set(CMAKE_INSTALL_PREFIX "/@unixroot/usr/")
  endif()
endif()

option(ENABLE_QT5 "Building Qt5 plugin." ON)
option(WITHOUT_X11 "Compiling without X11..." OFF)
# OS/2 never has X11
if (OS2)
  option(WITHOUT_X11 "Compiling without X11..." ON)
endif()

add_subdirectory(featherpad)

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # OS/2 needs an additional lib and tune the processor
 if(OS2)
-  #add_definitions(-mtune=${CMAKE_SYSTEM_PROCESSOR} -march=${CMAKE_SYSTEM_PROCESSOR})
+  add_definitions(-mtune=pentium4 -march=pentium4)
   set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
 endif()

=== debian/changelog ===
featherpad (1.3.5-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Jan 2023 15:04:06 -0800

featherpad (1.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 10 Jan 2023 22:07:22 +0800

featherpad (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add Rules-Requires-Root: no.
  * Add ChangZhuo Chen (陳昌倬) as uploader.
  * Update d/watch for GitHub.
  * Remove unnecessary -Wl,--as-needed in d/rules.
  * Remove unnecessary --fail-missing in d/rules.
  * Reformat and sort d/control.
  * Sort d/copyright

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 25 Dec 2022 03:33:11 +0800

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,31 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: editors
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libhunspell-dev,
-               libqt5svg5-dev (>= 5.15.0),
-               libqt5x11extras5-dev (>= 5.15.0),
+               libqt5svg5-dev,
+               libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qtbase5-dev (>= 5.15.0),
-               qttools5-dev (>= 5.15.0),
-               qttools5-dev-tools (>= 5.15.0)
-Standards-Version: 4.5.1
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
 Homepage: https://github.com/tsujan/featherpad
+Rules-Requires-Root: no
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         featherpad-l10n, libglib2.0-bin
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

## featherpad 1.4.0

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -89,6 +89,7 @@
     fpwin.cpp
     encoding.cpp
     tabwidget.cpp
+    menubartitle.cpp
     lineedit.cpp
     textedit.cpp
     tabbar.cpp

=== debian/changelog ===
featherpad (1.4.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Check the view cursor before setting it.
    - Recognize `text/plain;charset=…` as plain text when pasting (Qt doesn't).
    - Highlight comments inside formulas with LaTex.
    - Use icons in the recent files menu where possible.
    - Prevent tab DND from tab close button.
    - Focus side-pane with Ctrl+Escape.
    - Safeguard the file type filters of file dialogs from bad translations.
    - Added `application/x-zerosize` to the desktop file (after a change
      in GLib).
    - Added an option for showing window title on the menubar.
    - Fixed the tab tooltip for special folders.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Apr 2023 14:35:25 -0700

## featherpad 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.1.0)
 project(featherpad)
-cmake_minimum_required(VERSION 3.0)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions(-Wall)

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,10 @@
 # optional localization
 find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
-# OS/2 needs an additional lib and tune the processor
-if(OS2)
+if(HAIKU)
+  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lnetwork")
+elseif(OS2)
+  # OS/2 needs an additional lib and tune the processor
   add_definitions(-mtune=pentium4 -march=pentium4)
   set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
 endif()

=== debian/changelog ===
featherpad (1.4.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Added more types to C/C++ syntax highlighting.
    - To prevent problems on non-Linux systems, don't handle main arguments
      before calling `QCoreApplication` (Haiku OS may not provide a string
      argument before `QCoreApplication` is called).
    - Added an option for a small margin around the text.
    - Prevented window dragging from the line number strip (which was possible
      with widget styles like Kvantum).
    - In Preferences dialog, don't let the mouse wheel focus spin and combo
      boxes or change their values when they aren't focused.
    - In Preferences dialog, set the values of spin-boxes to their defaults if
      they are cleared.
    - Don't remove single trailing spaces with LaTeX. Also, added more formula
      keywords to LaTeX.
    - Fixed showing of the number of selected characters without selection
      highlighting.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Jun 2023 14:31:49 -0700

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         featherpad-l10n, libglib2.0-bin
+Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=cmake

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## featherpad 1.5.0

=== debian/changelog ===
featherpad (1.5.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.0
    - Removed Qt5 support.
    - Prevent the cursor position from being changed when files are dropped
      into the text view.
    - Support regex replacement with capturing groups. The credit goes to
      Marco Holmer for suggesting not only this feature but also the way of
      implementing it.
    - Enhanced the conversion to start case by including 100,000 characters
      and also finding the first letter of each word.
    - Scroll horizontally with mouse wheel inside text view if Alt is pressed
      and horizontal scrollbar is visible.
    - Highlight Openbox's "themerc" files (revived by LabWC).
    - Fixed a rare issue in the geometry of a warning bar animated during
      window resizing.
    - Covered a case of here-strings in bash.

  * Change to Qt6 build depends.
  * Make recommended packages explicit dependencies.
  * Recommend qt6-gtk-platformtheme.
  * Update copyright.
  * Change Qt5 to Qt6 in descriptions.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Feb 2024 09:43:52 -0800

featherpad (1.4.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.1
  * debian/control: update team address.
  * debian/copyright: update.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/salsa-ci.yml: added.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 14:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: featherpad
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
@@ -9,14 +9,14 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libhunspell-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libqt6svg6-dev,
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qt6-base-dev,
+               qt6-base-dev-tools,
+               qt6-tools-dev,
+               qt6-tools-dev-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
@@ -25,9 +25,11 @@
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
-Description: Lightweight Qt5 plain-text editor
- FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         featherpad-l10n, libglib2.0-bin
+Recommends: qt6-gtk-platformtheme
+Description: Lightweight Qt6 plain-text editor
+ FeatherPad is a lightweight Qt6 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
  modern editor.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-export QT_SELECT = 5
+export QT_SELECT = 6
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:

## featherpad 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.5.0)
 project(featherpad)
-set(CMAKE_BUILD_TYPE Release)
+
+if(NOT CMAKE_BUILD_TYPE)
+  set(CMAKE_BUILD_TYPE Release)
+endif()
+
 add_definitions(-Wall)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
@@ -15,7 +19,6 @@
   endif()
 endif()
 
-option(ENABLE_QT5 "Building Qt5 plugin." ON)
 option(WITHOUT_X11 "Compiling without X11..." OFF)
 # OS/2 never has X11
 if (OS2)

=== featherpad/CMakeLists.txt ===
set(QT6_MINIMUM_VERSION "6.2.0")
set(HUNSPELL_MINIMUM_VERSION "1.6")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg PrintSupport DBus)

# for spell checking (see FindHUNSPELL.cmake)
find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)

# optional localization
find_package(Qt6 QUIET COMPONENTS LinguistTools)

if(HAIKU)
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lnetwork")
elseif(OS2)
  # OS/2 needs an additional lib and tune the processor
  add_definitions(-mtune=pentium4 -march=pentium4)
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
endif()

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  find_package(X11 REQUIRED)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS}
                      ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Svg_INCLUDE_DIRS}
                      ${Qt6PrintSupport_INCLUDE_DIRS}
                      ${Qt6DBus_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR}
                      ${HUNSPELL_INCLUDE_DIRS})
  add_definitions(-DHAS_X11)
else()
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS}
                      ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Svg_INCLUDE_DIRS}
                      ${Qt6PrintSupport_INCLUDE_DIRS}
                      ${Qt6DBus_INCLUDE_DIRS}
                      ${HUNSPELL_INCLUDE_DIRS})
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(UNIX OR OS2)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(featherpad_SRCS
    main.cpp
    singleton.cpp
    signalDaemon.cpp
    fpwin.cpp
    encoding.cpp
    tabwidget.cpp
    menubartitle.cpp
    lineedit.cpp
    textedit.cpp
    tabbar.cpp
    find.cpp
    replace.cpp
    pref.cpp
    config.cpp
    brackets.cpp
    syntax.cpp
    vscrollbar.cpp
    loading.cpp
    printing.cpp
    tabpage.cpp
    searchbar.cpp
    session.cpp
    fontDialog.cpp
    sidepane.cpp
    svgicons.cpp
    spellChecker.cpp
    spellDialog.cpp
    highlighter/highlighter.cpp
    highlighter/highlighter-cmake.cpp
    highlighter/highlighter-css.cpp
    highlighter/highlighter-fountain.cpp
    highlighter/highlighter-java.cpp
    highlighter/highlighter-json.cpp
    highlighter/highlighter-html.cpp
    highlighter/highlighter-lua.cpp
    highlighter/highlighter-markdown.cpp
    highlighter/highlighter-pascal.cpp
    highlighter/highlighter-patterns.cpp
    highlighter/highlighter-perl-regex.cpp
    highlighter/highlighter-regex.cpp
    highlighter/highlighter-rest.cpp
    highlighter/highlighter-ruby.cpp
    highlighter/highlighter-rust.cpp
    highlighter/highlighter-sh.cpp
    highlighter/highlighter-tcl.cpp
    highlighter/highlighter-toml.cpp
    highlighter/highlighter-xml.cpp
    highlighter/highlighter-yaml.cpp)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
endif()

qt6_add_dbus_adaptor(featherpad_DBUS_SRCS
    org.featherpad.Application.xml
    singleton.h
    FeatherPad::FPsingleton
    featherpadadaptor
    FeatherPadAdaptor
)

set(featherpad_RESOURCES data/fp.qrc)
set(DESKTOP_FILE data/featherpad.desktop)
set(METAINFO_FILE data/featherpad.metainfo.xml)
if(NOT OS2)
  set(ICON_FILE data/featherpad.svg)
else()
  enable_language(RC)
  set_source_files_properties(data/featherpad_os2.rc PROPERTIES LANGUAGE RC)
  set(featherpad_SRCS ${featherpad_SRCS} data/featherpad_os2.rc)
endif()
set(HELP_FILE data/help)
file(GLOB HELP_TR_FILES data/help_*)

set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)

# translations
if(Qt6LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/featherpad_*.ts)
  qt6_add_translation(QM_FILES ${TS_FILES})
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_DBUS_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
  elseif(APPLE)
    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
  elseif(UNIX OR OS2)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
  endif()
else(Qt6LinguistTools_FOUND)
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_DBUS_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt6LinguistTools_FOUND)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  target_link_libraries(featherpad ${Qt6Core_LIBRARIES}
                                   ${Qt6Gui_LIBRARIES}
                                   ${Qt6Widgets_LIBRARIES}
                                   ${Qt6Svg_LIBRARIES}
                                   ${Qt6PrintSupport_LIBRARIES}
                                   ${Qt6DBus_LIBRARIES}
                                   ${X11_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
else()
  target_link_libraries(featherpad ${Qt6Core_LIBRARIES}
                                   ${Qt6Gui_LIBRARIES}
                                   ${Qt6Widgets_LIBRARIES}
                                   ${Qt6Svg_LIBRARIES}
                                   ${Qt6PrintSupport_LIBRARIES}
                                   ${Qt6DBus_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
endif()

# installation
if(HAIKU)
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
elseif(APPLE)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_FILE})
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_TR_FILES})
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/help)
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_TR_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/helps)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES MACOSX_BUNDLE TRUE)
  INSTALL(TARGETS featherpad DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(UNIX)
  # make symlink
  add_custom_target(fpad_symlink ALL ${CMAKE_COMMAND} -E create_symlink featherpad fpad DEPENDS featherpad COMMENT "Creating fpad as a symlink to featherpad")

  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # install symlink
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
elseif(OS2)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES
  	OS2_DEF_EXEType "WINDOWAPI"
  )
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
endif()

=== debian/changelog ===
featherpad (1.5.1-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.1:
    -  Added a safe and simple workaround for KWin6 under X11.
    - Under X11, if there is a minimized window on the current desktop,
      open files as new tabs in it and unminimize it.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 May 2024 07:28:02 -0700

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         featherpad-l10n, libglib2.0-bin
+Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qt6-gtk-platformtheme
 Description: Lightweight Qt6 plain-text editor
  FeatherPad is a lightweight Qt6 plain-text editor for Linux. It is independent

## featherpad 1.5.2

=== debian/changelog ===
featherpad (1.5.2-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.2:
    - Fixed the printing thread. (Previously, it created many instances of the
      warning message "QBasicTimer::start: Timers cannot be started from
      another thread" because the document wasn't inside the printing thread.)
    - Fixed an old issue in replacement highlighting of multiple tabs.
    - Demand attention under Wayland when a window needs activation, although
      window managers may ignore it.
    - Don't escape a start single quote in C/C++ when it follows a letter
      or number.
    - Skip double-parenthesis constructs with bash here-docs.
    - Don't try to save as root when the parent directory doesn't exist.
    - Respect the enforced syntax of an unsaved document when removing its
      trailing spaces on saving it.
    - Check the existence of "gio" before using it for opening URLs.
    - Fixed the localization of date and time with Qt6.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Nov 2024 13:59:20 -0800

featherpad (1.5.1-1~exp1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/lintian-overrides: added.

  [ S. 7 ]
  * New upstream version 1.5.1
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: Update Build-Depends for Qt6
  * debian/control: Update package description for Qt6
  * debian/control: fix build-depends-on-obsolete-package lintian warning
  * debian/changelog: Update changelog

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.
  * debian/control: improve package descriptions.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 02 Oct 2024 16:09:34 +0200

=== debian/control ===
Source: featherpad
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libx11-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad
Rules-Requires-Root: no

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         featherpad-l10n, libglib2.0-bin
Description: lightweight plain-text editor written in Qt
 FeatherPad is a lightweight plain-text editor written in Qt. It operates
 independently of any desktop environment and comes with all features
 one would expect in a modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: localization files for featherpad
 FeatherPad is a lightweight plain-text editor written in Qt. It operates
 independently of any desktop environment and comes with all features
 one would expect in a modern editor.
 .
 This package contains the localization files needed by the featherpad.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=cmake

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## featherpad 1.6.0

=== debian/changelog ===
featherpad (1.6.0-0ubuntu2) plucky; urgency=medium

  * Remove unnecessary files from the l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 20:05:13 -0600

featherpad (1.6.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 14:45:24 -0600

featherpad (1.5.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update Standards-version to 4.7.0, no changes needed.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Jul 2024 12:03:42 -0500

featherpad (1.4.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update Vcs-*.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Dec 2023 21:04:33 -0600

featherpad (1.3.5-0ubuntu3) lunar; urgency=medium

  * Actually revert to using Qt 5 build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 07 Mar 2023 10:40:07 -0600

featherpad (1.3.5-0ubuntu2) lunar; urgency=medium

  * Revert to building with Qt 5, until the Qt 6 theming story is improved
    under native LXQt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 06 Mar 2023 19:47:06 -0600

featherpad (1.3.5-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.6.2, no changes needed.
  * Minor copyright updates.
  * Use Qt 6 theming defined by qt6ct as the default, until the Qt 6 theming
    story is improved in LXQt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Jan 2023 16:03:06 -0600

featherpad (1.3.3-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Manually fix the watch file.
  * Change the maintainer.
  * Remove obsolete Breaks/Replaces.
  * Build using Qt 6.
  * Fix the Lintian override syntax.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 28 Nov 2022 15:41:53 -0600

=== debian/control ===
Source: featherpad
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libqt6svg6-dev,
               libx11-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/featherpad-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/featherpad-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: featherpad-l10n, libglib2.0-bin
Description: Lightweight Qt 6 plain-text editor
 FeatherPad is a lightweight Qt 6 plain-text editor for Linux. It is
 independent of any desktop environment and comes with all features one would
 expect in a modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for featherpad
 FeatherPad is a lightweight Qt 6 plain-text editor for Linux. It is
 independent of any desktop environment and comes with all features one would
 expect in a modern editor.
 .
 This package contains the l10n files needed by the featherpad.
